#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-JZk9dmve0Cv4aYOrjpqqUg
key: crypto-pubkey-0.2.8-JZk9dmve0Cv4aYOrjpqqUg
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
indefinite: False
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
abi: 26237c0e7d79422f87a7521827dc9168
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.2.1/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-JZk9dmve0Cv4aYOrjpqqUg
depends:
    base-4.10.0.0 bytestring-0.10.8.2
    byteable-0.1.1-3VfNJqauCum9lD10cS8nmH
    crypto-random-0.0.9-7rrYMnv8kol23RXZVpPpfq
    crypto-pubkey-types-0.4.3-KLrr09Yv9GPCvR6I66k694
    cryptohash-0.11.9-GZqyP6wdQkB6Yhf3SrzOJM
    crypto-numbers-0.2.7-ImvsvjCm3Uo6YPwiNQYBno
abi-depends: base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             bytestring-0.10.8.2=db54a9a10f4b3abcd860c80f928b2ae9
             byteable-0.1.1-3VfNJqauCum9lD10cS8nmH=d344f7951d5abb0484f8cf34bb5d3e34
             crypto-random-0.0.9-7rrYMnv8kol23RXZVpPpfq=d54d9c67facecd67128c09f4917240a7
             crypto-pubkey-types-0.4.3-KLrr09Yv9GPCvR6I66k694=310b709beb928801fb2dfe0e0571d029
             cryptohash-0.11.9-GZqyP6wdQkB6Yhf3SrzOJM=7bd408ffa33fc6b90030e1fcc71020ba
             crypto-numbers-0.2.7-ImvsvjCm3Uo6YPwiNQYBno=bcd0ff36d096d7359cad94f30221c00d
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/sbin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

